Subject: dmm prefix cost, deprecated Ipv6 address

From: John Kaippallimalil <[email-masked]>
Date: Wed, 6 Apr 2016 16:35:33 +0000

Hi Eric,
We have a section in the draft that describes the need for more than 2 values of prefix cost.

Snippet from https://tools.ietf.org/html/draft-mccann-dmm-prefixcost-02 below:

"..The operator of the network or host's service provider can configure
   policy that determines how the host should handle the prefix cost
   values.  In a 3GPP network, the subscription provider may configure
   policies in the host via OMA-DM or S14 (ANDSF).  For example, the
   service provider may configure rules to state that prefix cost values
   below 500 indicate low cost and ideal access network conditions,
   values from 501 - 5000 indicate that the host should try to relocate
   connections, and values above 5000 indicate a risk and impending loss
   of connectivity.  The policies themselves can be (re-)configured as
   needed by the operator.  Prefix cost information with each Router
   Advertisement allows the host to interpet a simple number and
   associated policies to (re-)select optimal routes.  For networks
   service providers, when this cost is associated with charging, it can
   be a valuable tool in dynamically managing the utilization of network
   resources.
"

Also - my understanding of deprecating IPv6 addresses is that the behavior may be different. The timeframes we are talking about here in many cases is in the order of a few seconds (5 sec ?) - enough for the MN to find a better address and move over gracefully.

BR,
John